#include <iostream>
#include <Application.h>
#include <File.h>
#include <AppFileInfo.h>
#include <Bitmap.h>
#include <Entry.h>
#include <String.h>
#include <fstream>
#include <stdio.h>
int main(int argc,char* argv[])
{
	if(argc < 2)
		cout << "Usage: ./geticon <file or folder>" << endl;
	BEntry entry(argv[1]);
	entry_ref ref;
	if(entry.GetRef(&ref) == B_OK)
	{
		BApplication app("application/x-vnd.misza-geticon");
		BFile file(&ref,B_READ_ONLY);
		if(file.InitCheck() == B_OK)
		{
			BAppFileInfo afi(&file);
			if(afi.InitCheck() == B_OK)
			{
				BBitmap* icon = new BBitmap(BRect(0,0,15,15),B_CMAP8);
				if(afi.GetIcon(icon,B_MINI_ICON)==B_OK)
				{
					BString ofname;
					ofname << argv[1] << ".h";
					ofstream outfile(ofname.String());
					int size = icon->BitsLength();
					unsigned char* p = (unsigned char*)icon->Bits();
					outfile << "const unsigned char " << argv[1] << "[" << size << "] = {\n";
					int count = 0;
			
					char buf[5];
					for(int i=0;i<size;i++)
					{
						if(i == size -1)
						{	
							sprintf(buf,"%u};",p[i]);
							outfile << buf;
						}else
						{	
							sprintf(buf,"%u",p[i]);
							outfile << buf << ",";
						}
						if(count == 20)
						{	
							outfile << endl;
							count = 0;	
						}
						else
							count++;
					}
					outfile << endl;
					outfile.close();
					cout << "Icon written to " << ofname.String() << endl;
				}
			}
		}
	}
	return 0;
}
